.productpage {
  flex-direction: column;

  margin-top: 60px;
}

.productpage-layout {
  --productpage-layout-gallery-width: 30%;
  --productpage-layout-content-width: calc(100% - var(--productpage-layout-gallery-width));

  position: relative;
  display: flex;
  gap: 40px;

  align-items: flex-start;
  justify-content: space-between;

  flex-direction: row;

  width: 100%;
}

.productpage-gallery {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: var(--productpage-layout-gallery-width);
}
.productpage-gallery-images-container {
  position: relative;
  display: flex;
  overflow: hidden;

  align-content: flex-start;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;

  border-radius: 4px;
}
.productpage-gallery-images {
  position: relative;
  display: flex;

  align-content: flex-start;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
  height: 100%;
}
.productpage-gallery-images-squarer {
  position: relative;
  display: flex;

  align-content: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;

  padding-top: calc(100% * 1.56);
}
.productpage-gallery-images-inner {
  position: absolute;
  display: flex;

  flex-direction: column;

  width: 100%;
  height: 100%;

  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
.productpage-gallery-image {
  position: relative;
  display: flex;

  flex-direction: column;

  width: 100%;
  height: 100%;
}
.productpage-gallery-image-inner {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;
  height: 100%;
}
.productpage-gallery-image-inner img {
  position: relative;
  display: flex;

  width: 100%;
  height: 100%;

  object-fit: cover;
  object-position: center center;
}

.productpage-gallery-previews {
  position: relative;
  display: flex;
  overflow: hidden;
  overflow-x: auto;
  gap: 5px;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: row;

  margin-top: 10px;

  width: 100%;
}
.productpage-gallery-preview {
  cursor: pointer;
  position: relative;
  display: flex;
  flex-shrink: 0;
  overflow: hidden;

  flex-direction: column;

  width: 75px;
  height: 75px;

  padding: 3px;

  border-radius: 4px;

  border: 1px solid rgba(0, 0, 0, 0.1);
}
.productpage-gallery-preview img {
  position: relative;
  display: flex;

  width: 100%;
  height: 100%;

  border-radius: 4px;

  object-fit: cover;
  object-position: center center;
}
.productpage-gallery-preview.active {
  border-color: rgba(0, 0, 0, 0.5);
}

.productpage-content {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: var(--productpage-layout-content-width);
}

.productpage-content-title {
  position: relative;
  display: flex;

  font-size: 26px;
  font-weight: 600;
}

.productpage-content-rating {
  position: relative;
  display: flex;
  gap: 5px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-size: 12px;
  font-weight: 600;
}
.productpage-content-rating-stars {
  position: relative;
  display: flex;
  gap: 2px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;
}
.productpage-content-rating-star {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  color: #f9c300;
}
.productpage-content-rating-stars__overlayer {
  position: absolute;
  z-index: 1;

  --productpage-content-rating-stars__overlayer-percentage: 0; /* (From 0-1), Example: 0 = 0%, 1 = 100%. */
  --productpage-content-rating-stars__overlayer-reversed-percentage: calc(
    var(--productpage-content-rating-stars__overlayer-percentage)
    * 100%
  );

  top: 0;
  bottom: 0;
  left: var(--productpage-content-rating-stars__overlayer-reversed-percentage);
  right: 0;

  background: rgba(255, 255, 255, 0.7);
}
.productpage-content-rating-text {
  position: relative;

  padding-top: 3px;

  font-size: 10px;
}

.productpage-content-pricing {
  position: relative;
  display: flex;
  gap: 5px;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  padding: 20px 0;

  font-size: 18px;
  font-weight: 600;
}
.productpage-content-pricing-old-price {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-size: 14px;

  text-decoration: line-through;

  color: rgba(145, 145, 145, 1);
}
.productpage-content-pricing-price {
  position: relative;
  display: flex;
  gap: 5px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-weight: 700;

  color: rgba(0, 0, 0, 1);
}
.productpage-content-pricing-price-discounttag {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  margin-bottom: 3px;

  padding: 3px 10px;
  padding-top: calc(3px + 2px);

  border-radius: 100px;

  font-size: 9px;

  color: rgba(240, 30, 80, 1);
  background: rgba(240, 30, 80, 0.1);
}

.productpage-content-description {
  position: relative;
  display: flex;
  gap: 10px;

  flex-direction: column;

  line-height: 2;

  font-size: 12px;
  font-weight: 600;
}

.productpage-content-row,
.productpage-content-col {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
}
.productpage-content-col {
  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;
}

.productpage-content-stock-state {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  height: 30px;

  padding: 0 15px;

  font-size: 9px;
  font-weight: 700;

  color: rgba(80, 80, 80, 1);
  background: rgba(240, 240, 240, 1);
}
.productpage-content-stock-state--danger {
  color: rgba(245, 50, 80, 1);
  background: rgba(250, 240, 240, 1);
}


.productpage-content-cart-actions {
  position: relative;
  display: flex;
  gap: 10px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  margin: 20px 0;

  width: 100%;
}
.productpage-content-cart-actions-quantity {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: space-between;

  flex-direction: row;

  height: 45px;

  font-size: 16px;

  border: 1px solid rgba(0, 0, 0, 0.15);
}
.productpage-content-cart-actions-quantity-action {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  height: 100%;

  padding: 0 8px;
}
.productpage-content-cart-actions-quantity-input {
  position: relative;

  outline: 0;
  border: 0;
  margin: 0;
  padding: 0;

  width: 35px;
  height: 100%;

  padding-top: 2px;

  text-align: center;

  font-size: 16px;
  font-weight: 600;
}

.productpage-content-cart-actions-button {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  min-width: 45px;
  height: 45px;

  padding: 0 15px;

  font-size: 12px;
  font-weight: 600;

  color: white;
  background: black;
  transition: 0.16s all ease;
}
.productpage-content-cart-actions-button:hover {
  background: rgba(0, 0, 0, 0.7);
}

.productpage-content-hr {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  margin: 20px 0;

  width: 100%;
  height: 1px;

  background: rgba(0, 0, 0, 0.05);
}


.productpage-content-linkacts {
  position: relative;
  display: flex;
  gap: 10px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;

  padding: 10px 0;

  font-size: 12px;
}

.productpage-content-linkact {
  position: relative;
  display: flex;
  gap: 5px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;
}
.productpage-content-linkact-text {
  padding-top: 2px;
}

.productpage-content-keyval {
  position: relative;
  display: flex;
  gap: 5px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-size: 12px;
  font-weight: 500;

  color: black;
}
.productpage-content-keyval-key {
  position: relative;

  font-weight: 500;
  color: rgba(160, 160, 160, 1);
}
.productpage-content-keyval-val {
  position: relative;

  font-weight: 700;
  color: rgba(30, 30, 30, 1);
}


.productpage-tabs {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;
}
.productpage-tabs-header {
  position: relative;
  display: flex;
  gap: 30px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  margin: 20px 0;

  width: 100%;

  padding: 20px 0;

  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}
.productpage-tabs-header-nav-button {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-size: 14px;
  font-weight: 700;

  color: rgba(0, 0, 0, 0.4);

  transition: 0.36s all ease-out;
}
.productpage-tabs-header-nav-button:hover,
.productpage-tabs-header-nav-button.active {
  color: black;
}

.productpage-tabs-containers {
  position: relative;
  display: flex;

  flex-direction: row;

  width: 100%;
}
.productpage-tab {
  position: relative;
  display: none;

  flex-direction: column;

  margin-bottom: 40px;

  width: 100%;
}
.productpage-tab.active {
  display: flex;
}

.productpage-tab-description-paragraphs {
  position: relative;
  display: flex;

  gap: 20px;

  flex-direction: column;

  width: 100%;

  line-height: 2;

  font-size: 12px;
  font-weight: 600;
}

.productpage-tab-reviews-list {
  position: relative;
  display: flex;
  gap: 10px;

  flex-direction: column;

  width: 100%;
}

.productpage-tab-reviews-list-item {
  position: relative;
  display: flex;
  gap: 10px;

  flex-direction: column;

  width: 100%;

  border: 1px solid rgba(0, 0, 0, 0.05);
  border-radius: 8px;
}
.productpage-tab-reviews-list-item-header {
  position: relative;
  display: flex;
  gap: 10px;

  align-items: flex-start;
  justify-content: space-between;

  flex-direction: row;

  width: 100%;

  padding: 15px 15px;
  padding-bottom: 0;

  font-size: 12px;
  font-weight: 600;
}
.productpage-tab-reviews-list-item-header > div {
  position: relative;
  display: flex;

  flex-direction: column;
}

.productpage-tab-reviews-list-item-header-title {
}
.productpage-tab-reviews-list-item-header-date {
  font-weight: 500;
  color: rgba(0, 0, 0, 0.3);
}

.productpage-tab-reviews-list-item-body {
  position: relative;
  display: flex;
  gap: 5px;

  flex-direction: column;

  width: 100%;

  padding: 15px 15px;
  padding-top: 0;

  font-size: 12px;
  font-weight: 500;
}

.productpage-tab-reviewcreation {
  position: relative;
  display: flex;

  flex-direction: column;

  width: 100%;
}
.productpage-tab-reviewcreation-box {
  position: relative;
  display: flex;
  gap: 10px;

  flex-direction: column;

  width: 100%;

  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 8px;
}
.productpage-tab-reviewcreation-field {
  position: relative;
  display: flex;

  outline: 0;
  border: 0;
  margin: 0;
  padding: 0;
  resize: none;

  width: 100%;
  height: 200px;

  padding: 15px 15px;

  font-size: 14px;

  background: rgba(0, 0, 0, 0);
}

.productpage-tab-reviewcreation-box-bottom {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: space-between;

  flex-direction: row;

  width: 100%;

  padding: 15px 15px;

  border-top: 1px solid rgba(0, 0, 0, 0.05);
}

.productpage-tab-reviewcreation-button-create {
  position: relative;
  display: flex;
  gap: 10px;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  height: 40px;

  padding: 0 20px;

  font-size: 12px;
  font-weight: 600;

  border-radius: 8px;

  color: white;
  background: rgba(var(--color-brand-elegant1), 1);
  transition: 0.16s all ease-out;
}
.productpage-tab-reviewcreation-button-create:hover {
  opacity: 0.7;
}

.productpage-tab-reviewcreation-button-create > .loading-spinner1,
.productpage-tab-reviewcreation-button-create.is_loading > *:not(.loading-spinner1) {
  display: none;
}
.productpage-tab-reviewcreation-button-create.is_loading > .loading-spinner1 {
  display: flex;
}

.productpage-tab-reviewcreation-box-bottom-stars {
  position: relative;
  display: flex;

  gap: 2px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;
}
.productpage-tab-reviewcreation-box-bottom-star {
  cursor: pointer;
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  color: #f9c300;
  opacity: 0.3;
  transition: 0.16s all ease-out;
}
.productpage-tab-reviewcreation-box-bottom-star:hover {
  opacity: 1;
}
.productpage-tab-reviewcreation-box-bottom-star.selected {
  opacity: 1;
}

.productpage-relatedproducts {
  position: relative;
  display: flex;

  flex-direction: column;

  width: 100%;

  /* padding: 20px 0; */
}
.productpage-relatedproducts-header {
  position: relative;
  display: flex;
  gap: 30px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  margin: 30px 0;

  width: 100%;

  padding: 30px 0;

  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}
.productpage-relatedproducts-header-title {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-size: 14px;
  font-weight: 700;

  color: rgba(0, 0, 0, 1);
}





@media (max-width: 500px) {
  .productpage-layout {
    flex-wrap: wrap;
    --productpage-layout-gallery-width: 100%;
  }
  .productpage-content {
    flex: 1;
  }
}
